# rpmio/rpmmalloc.c File Reference

`#include "system.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions

void * | vmefail (size_t size)
void * | xmalloc (size_t size)
void * | xcalloc (size_t nmemb, size_t size)
void * | xrealloc (void *ptr, size_t size)
char * | xstrdup (const char *str)

## Detailed Description

Definition in file rpmmalloc.c.

## Function Documentation

void* vmefail | ( | size_t | size | ) |

Definition at line 13 of file rpmmalloc.c.

void* xcalloc | ( | size_t | nmemb,
|  | size_t | size |
| ) |  |  |

Definition at line 34 of file rpmmalloc.c.

void* xmalloc | ( | size_t | size | ) |

Definition at line 24 of file rpmmalloc.c.

void* xrealloc | ( | void * | ptr,
|  | size_t | size |
| ) |  |  |

Todo:
  Annotate ptr with returned/out.

Definition at line 45 of file rpmmalloc.c.

char* xstrdup | ( | const char * | str | ) |

Definition at line 55 of file rpmmalloc.c.